﻿--[[
	Project: AutoRole
	Version: 2.2
	Website: http://wow.curseforge.com/addons/auto-role/
	Author: Erfolg

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>. 
]] 

local current = {}

local frame = CreateFrame("FRAME", "AutoRole")
frame:RegisterEvent("ACTIVE_TALENT_GROUP_CHANGED")
frame:RegisterEvent("RAID_ROSTER_UPDATE")
local function eventHandler(self, event, ...)
	spec = nil
	scanTalents()
end
frame:SetScript("OnEvent", eventHandler)

RolePollPopup:SetScript("OnShow",function() RolePollPopupAcceptButton:Click() end)

function scanTalents(isInspect)

	local spec = GetActiveTalentGroup(isInspect)
	local primarySpec = 1

	for i = 1, 3 do
		local _, _, _, _, pointsSpent = GetTalentTabInfo(i,isInspect,nil,spec)
		current[i] = pointsSpent
		if (current[i] > current[primarySpec]) then
			primarySpec = i
		end
	end

	local _, specName = GetTalentTabInfo(primarySpec,isInspect,nil,spec)
	currentSpec = specName
	--Set currentSpec for DPS
	if(currentSpec == "Frost" or currentSpec == "Unholy" or currentSpec == "Balance" or currentSpec == "Beast Mastery"
		or currentSpec == "Marksmanship" or currentSpec == "Survival" or currentSpec == "Arcane" or currentSpec == "Fire" 
		or currentSpec == "Frost" or currentSpec == "Retribution" or currentSpec == "Shadow" or currentSpec == "Assasination" 
		or currentSpec == "Combat" or currentSpec == "Subtelty" or currentSpec == "Elemental" or currentSpec == "Enhancement" 
		or currentSpec == "Affliction" or currentSpec == "Demonology" or currentSpec == "Destruction" or currentSpec == "Arms" 
		or currentSpec == "Fury") then
		UnitSetRole("player","DAMAGER")
	end
	--Set currentSpec for Tanks
	if(currentSpec == "Blood" or currentSpec == "Protection") then
		UnitSetRole("player","TANK")
	end
	--Set currentSpec for Healers
	if(currentSpec == "Restoration" or currentSpec == "Holy" or currentSpec == "Discipline") then
		UnitSetRole("player","HEALER")
	end
	--Set currentSpec for Feral Druids
	if(currentSpec == "Feral Combat") then
		for i=1, 1 do
			nameTalent, icon, tier, column, currRank, maxRank= GetTalentInfo(2,11)
		end
		if(currRank == 3) then
			UnitSetRole("player","TANK")
		else
			UnitSetRole("player","DAMAGER")
		end
	end
end

print "\124cFF33FFFFAutoRole 2.2 by Erfolg loaded."